# class Bundler::RubygemsIntegration::Transitional

RubyGems 1.7

### Public Instance Methods

stub_rubygems(specs) click to toggle source

    # File lib/bundler/rubygems_integration.rb, line 669
    def stub_rubygems(specs)
      stub_source_index(specs)
    end

validate(spec) click to toggle source

    # File lib/bundler/rubygems_integration.rb, line 673
    def validate(spec)
      # Missing summary is downgraded to a warning in later versions,
      # so we set it to an empty string to prevent an exception here.
      spec.summary ||= ""
      RubygemsIntegration.instance_method(:validate).bind(self).call(spec)
    end